Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042799
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-10 12:272020-03-20 17:54
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisiond194e294f53b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042799: Apply new HQL Style in FIN_PaymentEventListener.java

DescriptionFIN_PaymentEventListener.java has two HQL queries with:
- the HQL is hard to read because of formatting
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0116770)
inigo_lerga (developer)
2020-01-10 14:17

Test Plan Mantis First modified HQL:
As the F&B International Group Admin role:
    - Go to the Financial Account window and
      enter in the "Cuenta de Banco" record.
      Enter the Payment Method tab and modify
      the "Cheque" method. In the Payment IN
      section change the Execution Type field
      to Automatic and the Execution Process
      to Leave as Credit.
      Save the record.
    - Go to the Sales Invoice window and create
      a new record with any Business Partner.
      Ceate a new Line with any roduct and quantity
      desired. Save the record and complete the Invoice.
    - Now go to the Payment IN window and create
      a new record. Select "Cheque" as Payment Method
      (taking into account that the Organization is
      F&B España - Región Norte), and verify that the
      Deposit To field contains "Cuenta de Banco - EUR".
    - Press the Add Details button. In the popup window
      enter any amount as the Actual Payment, select the
      previously created Invoice and put "Process
      Received Payment(s)" in the Action Regarding
      Document field. Press Done.
#In this moment the modified HQL in the
updateAPRMPendingPaymentFromInvoiceRecordis
function is executed#

#To test the modified HQL in
deleteAPRMPendingPaymentFromInvoiceRecord
function, go to the previously modified record in the
Financial Account window and leave in blank the Execution
Process field. Repeat the Payment In (from step 3)
and this HQL will be executed#
(0117013)
hgbot (developer)
2020-01-17 12:53

Repository: erp/devel/pi
Changeset: d194e294f53bb18bd470f1146ede7e6ca1ad5cfd
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Fri Jan 10 13:21:57 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d194e294f53bb18bd470f1146ede7e6ca1ad5cfd [^]

Related to Issue 42799: Applied new HQL Style

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/event/FIN_PaymentEventListener.java
---
(0117014)
hgbot (developer)
2020-01-17 12:53

Repository: erp/devel/pi
Changeset: a2cfa813d95f213cd6b77fb2a0346471c88d3166
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Fri Jan 10 13:31:16 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a2cfa813d95f213cd6b77fb2a0346471c88d3166 [^]

Related to Issue 42799: Applied Sonarlint suggestions

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/event/FIN_PaymentEventListener.java
---
(0117015)
hgbot (developer)
2020-01-17 12:53

Repository: erp/devel/pi
Changeset: eab3355341b134fa04714eccac1d5c5e492e08e3
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Jan 17 12:44:34 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/eab3355341b134fa04714eccac1d5c5e492e08e3 [^]

Related to ISSUE-42799: Code Review Changes:
* Do not use Boolean.TRUE.equals, keep the code as before to make it more redable

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/event/FIN_PaymentEventListener.java
---
(0117016)
dmiguelez (developer)
2020-01-17 12:54

Code Review + Testing Ok
(0118732)
hudsonbot (developer)
2020-03-20 17:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b31620115262 [^]
Maturity status: Test
(0118733)
hudsonbot (developer)
2020-03-20 17:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b31620115262 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2020-01-10 12:27 inigo_lerga New Issue
2020-01-10 12:27 inigo_lerga Assigned To => inigo_lerga
2020-01-10 12:27 inigo_lerga Modules => Core
2020-01-10 12:27 inigo_lerga Triggers an Emergency Pack => No
2020-01-10 12:27 inigo_lerga Status new => scheduled
2020-01-10 14:17 inigo_lerga Note Added: 0116770
2020-01-10 14:23 inigo_lerga Description Updated View Revisions
2020-01-10 14:44 inigo_lerga Relationship added related to 0041287
2020-01-17 12:53 hgbot Checkin
2020-01-17 12:53 hgbot Note Added: 0117013
2020-01-17 12:53 hgbot Checkin
2020-01-17 12:53 hgbot Note Added: 0117014
2020-01-17 12:53 hgbot Checkin
2020-01-17 12:53 hgbot Note Added: 0117015
2020-01-17 12:54 dmiguelez Status scheduled => resolved
2020-01-17 12:54 dmiguelez Fixed in Version => 3.0PR20Q2
2020-01-17 12:54 dmiguelez Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/d194e294f53bb18bd470f1146ede7e6ca1ad5cfd [^]
2020-01-17 12:54 dmiguelez Resolution open => fixed
2020-01-17 12:54 dmiguelez Review Assigned To => dmiguelez
2020-01-17 12:54 dmiguelez Note Added: 0117016
2020-01-17 12:54 dmiguelez Status resolved => closed
2020-03-20 17:54 hudsonbot Checkin
2020-03-20 17:54 hudsonbot Note Added: 0118732
2020-03-20 17:54 hudsonbot Checkin
2020-03-20 17:54 hudsonbot Note Added: 0118733


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker